Package com.enonic.xp.form

## Class FormOptionSetOption.Builder

- java.lang.Object
- - com.enonic.xp.form.FormOptionSetOption.Builder

- Enclosing class:
    FormOptionSetOption

      public static class FormOptionSetOption.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(FormOptionSetOption source)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `FormOptionSetOption.Builder` | `addFormItem​(FormItem formItem)` |
    `FormOptionSetOption.Builder` | `addFormItems​(Iterable<FormItem> formItems)` |
    `FormOptionSetOption` | `build()` |
    `FormOptionSetOption.Builder` | `clearFormItems()` |
    `FormOptionSetOption.Builder` | `defaultOption​(boolean value)` |
    `FormOptionSetOption.Builder` | `helpText​(String helpText)` |
    `FormOptionSetOption.Builder` | `helpTextI18nKey​(String value)` |
    `FormOptionSetOption.Builder` | `label​(String label)` |
    `FormOptionSetOption.Builder` | `labelI18nKey​(String value)` |
    `FormOptionSetOption.Builder` | `name​(String name)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(FormOptionSetOption source)

  - ### Method Detail

    - #### addFormItem

          public FormOptionSetOption.Builder addFormItem​(FormItem formItem)

    - #### addFormItems

          public FormOptionSetOption.Builder addFormItems​(Iterable<FormItem> formItems)

    - #### clearFormItems

          public FormOptionSetOption.Builder clearFormItems()

    - #### name

          public FormOptionSetOption.Builder name​(String name)

    - #### defaultOption

          public FormOptionSetOption.Builder defaultOption​(boolean value)

    - #### label

          public FormOptionSetOption.Builder label​(String label)

    - #### labelI18nKey

          public FormOptionSetOption.Builder labelI18nKey​(String value)

    - #### helpText

          public FormOptionSetOption.Builder helpText​(String helpText)

    - #### helpTextI18nKey

          public FormOptionSetOption.Builder helpTextI18nKey​(String value)

    - #### build

          public FormOptionSetOption build()